## Algol-68RS-Source-ef25e71aa7d45f602ad464dd28059be3834db173.tar.gz

=== Makefile ===
#!/usr/bin/make

#------------ Compiler choice ---------
CC="none"
ARCH="$(shell uname -m)"
OS="$(shell uname -s)"

ifeq ($(ARCH), "i386")
CC=gcc
endif

ifeq ($(ARCH), "i686")
CC=gcc
endif

ifeq ($(ARCH), "x86_64")
CC=gcc
ifeq ($(OS), "Darwin")
CC=gcc -Wno-parentheses-equality -Wno-unused-value -Wno-parentheses -Wno-empty-body
endif
endif

ifeq ($(ARCH), "armv7l")
CC=gcc
endif

ifeq ($(ARCH), "aarch64")
CC=gcc
endif

ifeq ($(CC), "none")
$(error Cannot determine C compiler to use)
endif

#------------ Debug value -------------
DEBUG=yes
#------------ Debian values -----------
DESTDIR=
VERSION=1.20
NODEPENDS=
PKGDIR=$(DESTDIR)/usr/share/algol68toc
DOCDIR=$(DESTDIR)/usr/share/doc/algol68toc
BINDIR=$(DESTDIR)/usr/bin
LIBDIR=$(DESTDIR)/usr/lib
INFODIR=$(DESTDIR)/usr/share/info
MANDIR=$(DESTDIR)/usr/share/man/man1
INCDIR=$(DESTDIR)/usr/include/algol68
APPDIR=$(DESTDIR)/usr/share/applications

#------------ macOS values -------------
ifeq ($(OS), "Darwin")
PKGDIR=$(DESTDIR)/usr/local/share/algol68toc
DOCDIR=$(DESTDIR)/usr/local/share/doc/algol68toc
BINDIR=$(DESTDIR)/usr/local/bin
LIBDIR=$(DESTDIR)/usr/local/lib
INFODIR=$(DESTDIR)/usr/local/share/info
MANDIR=$(DESTDIR)/usr/local/share/man/man1
INCDIR=$(DESTDIR)/usr/local/include/algol68
APPDIR=$(DESTDIR)/usr/local/share/applications
endif

#------------- Absolute directories ------------
TOP:=$(shell pwd)
VPATH:=$(TOP)/include
HERE:=$(shell basename `pwd`)

#------------- sub-directories --------------
ACD=$(TOP)/a68config
CTD=$(TOP)/src
DAD=$(TOP)/data
DOD=$(TOP)/doc
EXD=$(TOP)/examples
LBD=$(TOP)/library
LPD=$(TOP)/liba68prel
QAD=$(TOP)/qad
GCD=$(TOP)/bdwgc

ADIRS=a68config liba68prel src qad
CDIRS=library a68config liba68prel src
DDIRS=doc data examples scripts
INCS:=-I $(VPATH)

#------------- a68toc environment --------------
A68_GC_POLICY:=1
A68_GC_DEBUG:=0
A68_NAMESEED=nameseed
A68_LIB:=$(ACD)

#------------ Flags ------------
ifeq ($(DEBUG),no)
override CFLAGS=-O0
else
override CFLAGS=-O0 -g
endif
NOR=$(CFLAGS) $(INCS)
CTSTAR=59LR
QADSTAR=1234ABCD
CTFLAGS=-v -uname seedfile -staredit $(CTSTAR)
QADFLAGS=-v -s -uname seedfile -staredit $(QADSTAR)

#------------ Programs -----------
ALGOL=$(CTD)/a68toc
SHELL=/bin/sh
INSTALL=$(shell which install) -g root -o root
ifeq ($(OS), "Darwin")
INSTALL=$(shell which install) -g wheel -o root
endif
INSTALLDATA=$(INSTALL) -m 644
INSTALLPROG=$(INSTALL) -m 555

# Export all macros
export

#-------------- Rules --------------
.PHONY : clean info uninstall

#-----Don't remake the documentation all the time----
#all : g-stamp c-stamp q-stamp d-stamp
all : g-stamp c-stamp q-stamp

remove :
	for d in $(ADIRS); do $(RM) $$d/*.c $$d/*.m; done

Translate : remove nameseed
	-for d in $(ADIRS); do $(MAKE) -C $$d Translate; done

g-stamp: $(GCD)/gc.a
	-mkdir -p include/gc
	cp -r $(GCD)/include/* include/algol68/gc
	cp $(GCD)/gc.a library/liba68gc.a
	touch g-stamp

$(GCD)/gc.a:
	tar zxvf bdwgc.tar.gz
	-$(MAKE) -C $(GCD) -f Makefile.direct check

c-stamp: g-stamp
	-for d in $(CDIRS); do $(MAKE) -C $$d; done
	touch c-stamp

q-stamp : nameseed
	-$(MAKE) -C $(QAD)
	touch q-stamp

d-stamp :
	-$(MAKE) -C $(DOD)
	touch d-stamp

#install : c-stamp q-stamp d-stamp
install : g-stamp c-stamp q-stamp
	$(INSTALL) -m 755 -d $(PKGDIR)
	$(INSTALL) -m 755 -d $(INCDIR)
	$(INSTALL) -m 755 -d $(INCDIR)/linux
	$(INSTALL) -m 755 -d $(INCDIR)/gc
	$(INSTALL) -m 755 -d $(INCDIR)/gc/extra
	$(INSTALL) -m 755 -d $(INCDIR)/gc/private
	$(INSTALL) -m 755 -d $(BINDIR)
	$(INSTALL) -m 755 -d $(LIBDIR)
	$(INSTALL) -m 755 -d $(INFODIR)
	$(INSTALL) -m 755 -d $(DOCDIR)
	$(INSTALL) -m 755 -d $(DOCDIR)/examples
	$(INSTALL) -m 755 -d $(DOCDIR)/examples/logic
	$(INSTALL) -m 755 -d $(DOCDIR)/examples/tests
	$(INSTALL) -m 755 -d $(DOCDIR)/pame
	$(INSTALL) -m 755 -d $(APPDIR)
	$(INSTALL) -m 755 -d $(MANDIR)
	$(INSTALLDATA) -p README $(DOCDIR)
	for d in include library $(ADIRS) $(DDIRS); do $(MAKE) -C $$d install; done

info :
	install-info --quiet $(INFODIR)/ctrans.info.gz $(INFODIR)/dir

uninstall :
	-$(RM) $(BINDIR)/a68toc $(BINDIR)/resetseed $(BINDIR)/ca
	-install-info --quiet --remove $(INFODIR)/ctrans.info.gz $(INFODIR)/dir
	-$(RM) -rf $(PKGDIR) $(DOCDIR) $(INCDIR)
	-$(RM) $(INFODIR)/ctrans.info.gz $(LIBDIR)/liba68.a $(LIBDIR)/liba68s.a $(LIBDIR)/liba68gc.a \
		$(MANDIR)/a68toc.1.gz $(MANDIR)/ca.1.gz

dist-clean: clean
	-$(RM) -v c-stamp q-stamp d-stamp g-stamp
	-$(RM) -r debian/tmp debian/algol68toc
	-$(RM) -rf bdwgc

nameseed : a68config/rctr liba68prel/rctr src/rctr qad/rctr
	for d in $(ADIRS); do cp $$d/rctr $$d/nameseed; done

savepoint:
	COPYFILE_DISABLE=1 tar zcvf ../$(HERE).save.a68.tar.gz .

restore:
	tar zxvf ../$(HERE).save.tar.gz

clean:
	find $(TOP) \( -name '*~' -o -name '*.asv' -o -name '*##' \) \
		-exec $(RM) -v '{}' ';'
	-for d in $(ADIRS) $(DDIRS) library; do $(MAKE) -C $$d clean; done
	-$(MAKE) -C $(GCD) -f Makefile.direct clean

realclean:
	find $(TOP) \( -name '*~' -o -name '*.asv' -o -name '*##' \) \
		-exec $(RM) -v '{}' ';'
	-for d in $(ADIRS) $(DDIRS) library; do $(MAKE) -C $$d realclean; done

vars:
	echo "NOR is $(NOR)"

# $Log: Makefile,v $
# Revision 1.12  2012/01/04 17:18:45  sian
# *** empty log message ***
#
# Revision 1.11  2004-08-06 23:48:41  sian
# *** empty log message ***
#
# Revision 1.10  2003/05/31 13:02:41  sian
# Removal of compiled libraries and binaries
#
# Revision 1.9  2003/04/23 08:57:20  sian
# Debian release 1.5
#
# Revision 1.8  2002/06/20 13:16:57  sian
# Minor alterations to make files
#
# Revision 1.7  2002/06/20 11:49:27  sian
# mm removed, padding removed, ca68 added
#
# Revision 1.6  2002/06/06 12:46:19  sian
# Minor alterations
#
# Revision 1.5  2002/02/23 17:50:42  sian
# Release 1.1
#
# Revision 1.4  2002/02/19 11:40:11  sian
# *** empty log message ***
#
# Revision 1.2  2001/05/11 18:55:32  sian
# Changed INFODIR to /usr/share/info
#
# Revision 1.1.1.1  2001/05/07 10:16:10  sian
# Import of Ctrans v1.0.4
#
# Revision 1.9  2000/07/06 14:46:57  sian
# Added uninstall
#
# Revision 1.8  2000/07/06 13:08:21  sian
# Should be ready for release
#
# Revision 1.7  2000/07/05 19:20:35  sian
# Minor corrections to Makefiles
#
# Revision 1.6  2000/07/05 15:52:57  sian
# Altered the installation tarball to ctrans-bin_$(VERSION).tar.gz
#
# Revision 1.5  2000/07/05 14:37:53  sian
# Ready for release 0.1.0
#
# Revision 1.3  2000/01/19 17:51:20  sian
# New versions for Phoenix Engineering release of Ctrans
#
# End of Makefile

=== PAME.4e/Makefile ===
#!/usr/bin/make
#
#-------------- Documentation sources ---------------

pame_tex := pame.4e.tex title.tex preface.tex preface.4e.tex \
        chapter1.tex chapter2.tex chapter3.tex chapter4.tex \
        chapter5.tex chapter6.tex chapter7.tex chapter8.tex \
        chapter9.tex chapter10.tex chapter11.tex chapter12.tex \
        chapter13.tex bibliography.tex index.see.tex pame.sed pame.4e.sty \
        ch11-1.epic ch11-2.epic ch11-3.epic ch11-4.epic \
        ch11-5.epic ch11-6.epic ch11-7.epic ch11-8.epic \
        ch11-9.epic ch11-10.epic

#--------------- Rules ---------------
.PHONY: install

all : pame.4e.dvi pame.4e.pdf

clean :
	-rm pame.4e.index pame.4e.ilg pame.4e.ind pame.4e.log pame.4e.ans pame.4e.aux pame.4e.toc \
	    pame.4e.out pame.4e.idx latex.log *~

dist-clean : clean
	-rm pame.4e.dvi pame.4e.pdf

pame.4e.pdf : pame.4e.dvi
	dvipdfm pame.4e

pame.4e.dvi : $(pame_tex)
	chmod +x pame.4e.sh
	latex pame.4e >latex.log
	latex pame.4e >>latex.log
	makeindex -o pame.4e.index -s pame.ist pame.4e.idx
	./pame.4e.sh
	latex pame.4e >>latex.log
	latex pame.4e >>latex.log

=== a68config/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.1 2002-02-19 11:40:11 sian Exp $
#
#------------ Algol 68 sources -------------
a68config_a:=a68config.a68

#------------ Derived file sets -------------
a68config_c:=a68config.c
a68config_o:=a68config.o

include $(TOP)/Algol68.mk

#-------------- Rules --------------
.PHONY : install clean

all : $(a68config_o)

Translate : $(a68config_c)

install :
	$(INSTALLDATA) -p a68config.m $(PKGDIR)

clean :
	-$(RM) -v a68config.o nameseed

=== data/Makefile ===
#!/usr/bin/make
#
#------------ Algol 68 sources -------------
data_f := lf.a68 test.lf algol68.ssh sheets.entry
algol_make := Algol68.mk

#------------ Rules ---------------
.PHONY : install

all : $(data_f) $(algol_make)

install :
	$(INSTALLDATA) -p $(data_f) $(DOCDIR)
	$(INSTALLDATA) -p $(algol_make) $(PKGDIR)

=== doc/Makefile ===
#!/usr/bin/make
#
#-------------- Documentation sources ---------------
ctrans_doc := compl.taylour star.txt

#--------------- Rules ---------------
.PHONY: install clean

all : rscompiler.dvi.gz ctrans.dvi.gz ctrans.info.gz \
	a68toc.1.gz ca.1.gz resetseed.1.gz a68toc.desktop $(ctrans_doc)

rscompiler.dvi.gz : rscompiler.dvi
	gzip -9 rscompiler.dvi

ctrans.info.gz : ctrans.texi
	makeinfo $<
	gzip -9 ctrans.info

ctrans.dvi.gz : ctrans.dvi
	gzip -9 ctrans.dvi

a68toc.1.gz : a68toc.1
	gzip -9c $< >$@

ca.1.gz : ca.1
	gzip -9c $< >$@

resetseed.1.gz : resetseed.1
	gzip -9c $< >$@

install :
	$(INSTALLDATA) -p rscompiler.dvi.gz ctrans.dvi.gz \
	   compl.taylour star.txt *.pdf $(DOCDIR)
	$(INSTALLDATA) -p ctrans.info.gz $(INFODIR)
	$(INSTALLDATA) -p a68toc.1.gz ca.1.gz resetseed.1.gz $(MANDIR)
	$(INSTALLDATA) -p pame/* $(DOCDIR)/pame
	$(INSTALLDATA) -p a68toc.desktop $(APPDIR)

clean :
	$(RM) *~

realclean:
	$(RM) ctrans.aux ctrans.cp ctrans.cps ctrans.fn ctrans.fns
	$(RM) ctrans.ky ctrans.kys ctrans.log ctrans.pg ctrans.pgs
	$(RM) ctrans.toc ctrans.tp ctrans.tps ctrans.vr ctrans.vrs
	$(RM) *.gz *~
	$(RM) rscompiler.aux rscompiler.cp rscompiler.fn
	$(RM) rscompiler.ky rscompiler.log rscompiler.pg
	$(RM) rscompiler.toc rscompiler.tp rscompiler.vr

=== examples/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.2 2002-06-20 11:49:28 sian Exp $
#
#------------ Algol 68 sources -------------
examples_a := client1.a68 client2.a68 server1.a68 server2.a68 \
              testexit.a68 testov.a68 \
              tt1.a68 tt1data.a68 tt2.a68 tt3.a68 \
	      \
              Abundant_odd_numbers.a68 \
              conform.a68 \
              trivial.a68

examples_c := $(patsubst %.a68,%.c,$(examples_a))
examples_o := $(patsubst %.a68,%.o,$(examples_a))
examples   := $(patsubst %.a68,%,$(examples_a))

all : $(examples_a)

install : clean
	$(INSTALLDATA) -p $(examples_a) $(DOCDIR)/examples
	$(INSTALLDATA) -p logic/* $(DOCDIR)/examples/logic
	$(INSTALLDATA) -p tests/* $(DOCDIR)/examples/tests

clean :
	-$(RM) $(examples_c) $(examples_o) $(examples)

=== include/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.2 2002-02-23 17:50:43 sian Exp $
#
#--------------------Sources--------------------
algol68_inc := algol68/Aalloc.h algol68/Aassign.h algol68/Acoerce.h \
               algol68/Aconfig.h algol68/Aindex.h algol68/Alibrary.h \
	       algol68/Amacros.h algol68/Astrings.h algol68/Asupport.h \
	       algol68/Atypes.h algol68/gc.h

linux_inc := algol68/linux/Ahhostgc.h algol68/linux/Ahostenv.h \
             algol68/linux/Ahswitch.h


.PHONY: install

all : $(algol68_inc) $(linux_inc)
	echo "Nothing to be done for include"

install :
	$(INSTALLDATA) -p $(algol68_inc) $(INCDIR)
	$(INSTALLDATA) -p $(linux_inc) $(INCDIR)/linux
	$(INSTALLDATA) -p algol68/gc/extra/* $(INCDIR)/gc/extra
	$(INSTALLDATA) -p algol68/gc/private/* $(INCDIR)/gc/private
	-$(INSTALLDATA) -p algol68/gc/* $(INCDIR)/gc

=== liba68prel/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.2 2002-02-23 17:50:43 sian Exp $
#------------ Algol 68 sources -------------
liba68prel_a := cif.a68 strops.a68 oscommon.a68 usefulops.a68 \
        messageproc.a68 oserrors.a68 osmessages.a68 osgc.a68 \
        osmisc.a68 osfiles.a68 osshell.a68 ossignals.a68 osif.a68 \
	mathslib.a68 numberstr.a68 clear.a68 time.a68 \
        iobasics.a68 putstrings.a68 getstrings.a68 iolib.a68 \
	options.a68 osinterface.a68 commandsyntax.a68 \
        iomessages.a68 commandreader.a68 printissue.a68 \
        variables.a68 testmode.a68 basics.a68 command.a68 \
        kernelreader.a68 ioprocs.a68 commandcaller.a68 globalcommands.a68

#------------ Derived file sets -------------
# Algol68toC prelude
liba68prel_c := $(patsubst %.a68,%.c,$(liba68prel_a))
liba68prel_o := $(patsubst %.a68,%.o,$(liba68prel_a))

include $(TOP)/Algol68.mk

A68_DIRS=-dir $(ACD) -dir $(LPD)

.PHONY : clean install

all : liba68prel.a nameseed

liba68prel.a : $(ACD)/a68config.o $(liba68prel_o)
	ar rv $@ $^
	ranlib $@

nameseed : rctr
	cp rctr nameseed

Translate : $(liba68prel_c)

clean :
	$(RM) -v *.o liba68prel.a nameseed

install :
	echo "Nothing to be done for install"

=== library/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.1 2002-02-19 11:40:12 sian Exp $

# ------------ C source --------------
library_c := Aassign.c Acoerce.c Aerror.c Ah1alloc.c Ahalloc.c \
        Ahcollec.c Ahdebug.c Ahparam.c Ahpolicy.c Ahstats.c Ahsweep.c \
        Ahtrace.c Aindex.c Amath.c Astrings.c

library_h := Ah1alloc.h Ahalloc.h Aharea.h Ahbasic.h Ahbitmap.h \
	Ahcheck.h Ahclr.h Ahdebug.h Ahdesc.h Ahparam.h Ahpolicy.h \
	Ahptr.h Ahseg.h Ahstats.h Ahsweep.h Ahtrace.h

#------------ Derived file sets -------------
#
library_o := $(patsubst %.c,%.o,$(library_c))

#-------------- Rules --------------
.PHONY : clean install

all : Afirst.o liba68.a

liba68.a : $(library_o)
	ar rv $@ $^
	ranlib $@

%.o : %.c
	$(CC) $(NOR) -o $@ -c $<

clean :
	$(RM) -v *.o liba68.a

install :
	$(INSTALLDATA) -p Afirst.o $(PKGDIR)
	$(INSTALLDATA) -p liba68.a $(LIBDIR)
	$(INSTALLDATA) -p liba68gc.a $(LIBDIR)

=== mm/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.1 2002-06-06 13:55:55 sian Exp $
#-------------- Algol 68 sources ---------------
mm_a := mm_actions.a68 mm_basics.a68 mm_oscommands.a68 mm_utilities.a68 \
        mm_version.a68 unixcomplink.a68 module_manage.a68

#-------------- Derived file sets --------------
mm_c := $(patsubst %.a68,%.c,$(mm_a))
mm_o := $(patsubst %.a68,%.o,$(mm_a))

include $(TOP)/Algol68.mk

.PHONY: clean install

all : mm.bin

mm.bin : $(ACD)a68config.o $(mm_o)
	mv mm mm.bin

Translate : remove nameseed $(mm_c)

clean :
	$(RM) -v nameseed $(mm_o)

nameseed : rctr
	cp rctr nameseed

remove : clean
	$(RM) -v $(mm_c)

install :
	$(INSTALLPROG) -p mm.bin $(BINDIR)

=== qad/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.2 2012/01/04 17:20:55 sian Exp $
#-------------- Algol 68 sources ---------------
qad_a := spmodes.a68 spaliens.a68 spops.a68 spplain.a68 \
        spconvert.a68 transput.a68 standard.a68

#-------------- Derived file sets --------------
# QAD standard prelude
qad_c := $(patsubst %.a68,%.c,$(qad_a))
qad_o := $(patsubst %.a68,%.o,$(qad_a))

include $(TOP)/Algol68.mk

.PHONY: clean install

all : liba68s.a nameseed

liba68s.a : $(ACD)/a68config.o $(qad_o)
	ar rv $@ $^
	ranlib $@

nameseed : rctr
	cp rctr nameseed

Translate : remove nameseed $(qad_c)

clean :
	$(RM) -v nameseed $(qad_c) $(qad_o) *.m liba68s.a

remove : clean

install :
	$(INSTALLDATA) -p liba68s.a $(LIBDIR)
	$(INSTALLDATA) -p standard.m $(PKGDIR)

=== scripts/Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.5 2002-06-20 13:16:57 sian Exp $
#
.PHONY : install

all : resetseed ca
	echo "Nothing to be done for all"

install :
	$(INSTALLPROG) -p resetseed ca $(BINDIR)

=== debian/changelog ===
algol68toc (1.21) unstable; urgency=low

  * Ported to ARM 64-bit architecture (aarch64)
  * Ported to Intel 64-bit architecture (x86_64)
  * Included optional Boehm garbage collector (default for 64-bit systems)
  * Added initial support for macOS (darwin)

 -- Neil Matthew <neil@tilde.co.uk>  Mon, 03 Apr 2021 00:00:00 +0100

algol68toc (1.20) unstable; urgency=low

  * Completed addition of envp to main in liba68prel/osshell.a68 and src/a68toc.a68
  * Corrected sprintf formats for LONG INTs in liba68prel/usefulops.a68
  * Ported to ARM 32-bit architecture (armhf)
  * Compile with gcc -fpack-struct=4 on armhf to avoid conformity clause errors on union copies
  * Include <unistd.h> in library/Aerror.h to avoid warning about write()
  * Fix Makefiles to remove a68toc.o on target clean and intall info files correctly

 -- Neil Matthew <neil@tilde.co.uk>  Tue, 13 Apr 2021 15:44:00 +0100

algol68toc (1.15) unstable; urgency=low

  * Added pame to the package and renamed reset.a68 to resetseed

 -- Sian Mountbatten <poenikatu@fastmail.co.uk>  Sun, 30 Sep 2012 19:28:14 +0100

algol68toc (1.14) unstable; urgency=low

  * Ensured that the manuals are included in the package

 -- Sian Mountbatten <poenikatu@fastmail.co.uk>  Fri, 09 Mar 2012 18:55:00 +0000

algol68toc (1.13) unstable; urgency=low

  * Altered ENTIER and ROUND to clamp their input value

 -- Sian Mountbatten <poenikatu@fastmail.co.uk>  Fri, 01 Mar 2012 18:53:35 +0000

algol68toc (1.11) unstable; urgency=low

  * Replaced ROUND and ENTIER with new C functions

 -- Sian Mountbatten <poenikatu@fastmail.co.uk>  Wed, 11 Jan 2012 05:46:54 +0000

algol68toc (1.10) unstable; urgency=low

  * 1. Altered the `new filebuffer' to (INT mtu)FILEBUFFER:
  * 2. Altered bufprocs and `client socket estab' and `server socket estab'
  *    to accept a `c' parameter specifying the MTU. Also altered `accept'

 -- Sian Leitch <drleitch@nildram.co.uk>  Fri, 28 Jan 2005 20:17:16 +0000

algol68toc (1.9) unstable; urgency=low

  * Removed bin possible from `stand in' and `stand out'

 -- Sian Leitch <sian@Phoenicia>  Fri,  6 Aug 2004 23:51:59 +0100

algol68toc (1.8) unstable; urgency=low

  * Added nulls to the id's used by `rename' in `transput.a68'

 -- Sian Leitch <sian@Phoenicia.PhoenixNet>  Sun,  9 Nov 2003 14:34:17 +0000

algol68toc (1.7) unstable; urgency=low

  * Added envp as well as argv

 -- Sian Leitch <algol68@sleitch.nildram.co.uk>  Tue, 10 Jun 2003 14:28:25 +0100

algol68toc (1.6) unstable; urgency=low

  * fixed two bugs in search for rounding point

 -- Sian Leitch <sian@Phoenicia.PhoenixNet>  Fri, 30 May 2003 22:05:15 +0100

algol68toc (1.5) unstable; urgency=low

  * Maintenance release
  * Added to the identifications of the standard files
  * Changed `stand err' to `stand error'
  * Deleted the code to open `stand back'. `stand back' is available, but left
  * unopened
  * Squashed some minor bugs in PAME

 -- Sian Leitch <sian@sleitch.nildram.co.uk>  Wed,  5 Mar 2003 17:24:22 +0000

algol68toc (1.4) unstable; urgency=low

  * Maintenance release
  * Squashed a bug in `concat'

 -- Sian Leitch <sian@sleitch.nildram.co.uk>  Mon,  3 Mar 2003 17:38:08 +0000

algol68toc (1.3) unstable; urgency=low

  * Maintenance release
  * Added a null character (REPR 0) to the end of the command line

 -- Sian Leitch <sian@sleitch.nildram.co.uk>  Tue, 25 Feb 2003 08:35:30 +0000

algol68toc (1.2) unstable; urgency=low

  * Maintenance release
  * Removed all the padding in structures
  * Made argc and argv available as Algol 68 argc and argv
  * Added `ca68' because `make' is not interactive
  * Replaced references to Ctrans in the book by references to Algol68toC
  * and a68toc and corrected minor formatting errors

 -- Dr Sian Leitch (Algol 68 specialist) <algol68@sleitch.nildram.co.uk>  Wed, 19 Jun 2002 22:30:00 +0100

algol68toc (1.1) unstable; urgency=low

  * Maintenance release
  * Changed the name of the package to algol68toc
  * Deleted all references to `mm'
  * Changed directories: stanprel->qad, ctrans->src, amalgamated liba68prel
  * Changed all the Makefiles to remove autobook influence: no configure now

 -- Sian Leitch <algol68@sleitch.nildram.co.uk>  Sat, 23 Feb 2002 17:25:15 +0000

ctrans (1.0.5) unstable; urgency=low

  * Maintenance release
  * Added all the standard prelude identifiers to the index in PAME plus any
  * required text in chapter 13
  * Minor changes to the QAD standard prelude itself
  * Revamped all the Makefiles using autoconf and automake

 -- Sian Leitch <algol68@sleitch.nildram.co.uk>  Wed, 15 Aug 2001 10:57:38 +0100

ctrans (1.0.4) unstable; urgency=low

  * Maintenance release
  * Modified `kbd channel' to avoid loss of input due to the multi-tasking
  * of Linux

 -- Sian Leitch <algol68@sleitch.nildram.co.uk>  Mon, 26 Feb 2001 15:29:48 +0000

ctrans (1.0.3) unstable; urgency=low

  * Maintenance release
  * Added kbd ensure buf space for the kbd channel

 -- Sian Leitch <algol68@sleitch.nildram.co.uk>  Sat, 3 Feb 2001 20:23:00 +0000

ctrans (1.0.2) unstable; urgency=low

  * Maintenance release
  * Kept nearly all the operators from spops.a68
  * Altered the Makefile so that the debug versions would be produced again.

 -- Sian Leitch <algol68@sleitch.nildram.co.uk>  Sun, 12 Nov 2000 20:36:45 +0000

ctrans (1.0.1) unstable; urgency=low

  * Maintenance release
  * Replaced manage/mm_default_database.mmd with the version for the
  * package.
  * Replaced all the `Makefile's with a single top-level Makefile.
  * Recreated all the C source files from the Algol 68 source.
  * Created the necessary `mm' initialisation files so that the Algol
  * 68 source could be translated directly using `mm' and `a68toc'.
  * Cured yet more formatting errors in PAME.
  * Added indexes to the Ctrans and mm info files.
  * Debianised the package.

 -- Sian Leitch <algol68@sleitch.nildram.co.uk>  Wed, 6 Sep 2000 16:23:30 +0100

ctrans (1.0.0) unstable; urgency=low

  * Initial Release.



=== debian/control ===
Source: algol68toc
Section: devel
Priority: optional
Maintainer: Sian Mountbatten <poenikatu@fastmail.co.uk>
Build-Depends: debhelper (>= 8.0.0),libc6-dev (>=2.13-24)
Standards-Version: 3.9.2
Homepage: http://www.poenikatu.co.uk/

Package: algol68toc
Architecture: any
Depends: gcc (>=8.3.0), ${shlibs:Depends}, ${misc:Depends}
Section: devel
Priority: optional
Description: Algol 68 development system
 Everything you need to start developing programs with the
 general-purpose high-level programming language Algol 68. The
 package includes the following:-
 .
 a68toc     -- Algol 68 to C translator
 ca         -- compilation shell script
 pame       -- Programming Algol 68 Made Easy
               600-odd page book teaching Algol 68 from scratch
 resetseed  -- reset nameseed file
 System documentation in GNU info format
 Compiler documentation in TeX DVI format
 Various example Algol 68 program sources.
 .
 The language was originally developed under the auspices of the
 International Federation for Information Processing (IFIP). You may
 not be able to read the defining document, but the language is easy
 to learn and is very flexible.
